Bug 1268450 - Review Request: rubygem-sidekiq - Simple, efficient background processing for Ruby
Review Request: rubygem-sidekiq - Simple, efficient background processing for...
Status: NEW
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On: 1267328
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-02 16:48 EDT by Ilya Gradina
Modified: 2015-11-11 07:27 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ilya Gradina 2015-10-02 16:48:03 EDT
Spec URL: https://github.com/ilgrad/fedora-packages/raw/master/rubygems/rubygem-sidekiq.spec
SRPM URL: https://github.com/ilgrad/fedora-packages/raw/master/rubygems/rubygem-sidekiq-3.5.0-1.fc24.src.rpm
Description: Simple, efficient background processing for Ruby.
Fedora Account System Username: ilgrad
Comment 1 Upstream Release Monitoring 2015-11-09 11:55:13 EST
pvalena's scratch build of rubygem-sidekiq-3.5.0-1.fc24.src.rpm for f24-candidate completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11757842
Comment 2 Pavel Valena 2015-11-11 07:21:07 EST
Informal Package Rewiew
=======================

Issues
======
 * I would change license in spec file from 'LGPL-3.0' to 'LGPLv3' according to [1].

 * Packed in the gem, in file [2], there are bundled static libraries, which are forbidden according to [3].
   The js libraries are also minified, which is also forbidden according to [4].
   I think it is better to use 'js-jquery' rpm package instead.

 * In a file [5] are two licences before a minified code. I is better to have a single file for every CSS library.

 * There are also unsatisfied install dependencies:

Last metadata expiration check performed 0:00:00 ago on Wed Nov 11 12:43:52 2015.
No matching package to install: 'rubygem(celluloid)'
No matching package to install: 'rubygem(connection_pool)'
Not all dependencies satisfied
Error: Some packages could not be found.

   These packages are not available in fedora rawhide. Note that 'rubygem-celluloid' is also orphaned.

I would not approve this package, because the package fails to install.


 [1] https://fedoraproject.org/wiki/Licensing:Main?rd=Licensing
 [2] ./web/assets/javascripts/application.js
 [3] https://fedoraproject.org/wiki/Packaging:JavaScript#Static_Inclusion_of_Libraries
 [4] https://fedoraproject.org/wiki/Packaging:JavaScript#Compilation.2FMinification
 [5] ./web/assets/stylesheets/bootstrap.css
 [6] https://bugzilla.redhat.com/show_bug.cgi?id=1239209
Comment 3 Vít Ondruch 2015-11-11 07:27:08 EST
(In reply to Pavel Valena from comment #2)
>    These packages are not available in fedora rawhide. Note that
> 'rubygem-celluloid' is also orphaned.

Just FYI, rubygem-celluloid was orphaned and later retired for good reasons:

https://lists.fedoraproject.org/pipermail/devel/2015-August/213660.html

Note You need to log in before you can comment on or make changes to this bug.